Skip to main content
`Ctrl`+`K`

# DMGetAuxiliaryVec

Get the auxiliary vector for region specified by the given label and value, and equation part

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetAuxiliaryVec(DM dm, DMLabel label, PetscInt value, PetscInt part, Vec *aux)

Not Collective

## Input Parameters

- dm - The `DM`

- label - The `DMLabel`

- value - The label value indicating the region

- part - The equation part, or 0 if unused

## Output Parameter

- aux - The `Vec` holding auxiliary field data

## Note

If no auxiliary vector is found for this (label, value), (NULL, 0, 0) is checked as well.

## See Also

DM Basics, `DM`, `DMClearAuxiliaryVec()`, `DMSetAuxiliaryVec()`, `DMGetNumAuxiliaryVec()`, `DMGetAuxiliaryLabels()`

## Level

advanced

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex7.c
src/ts/tutorials/ex30.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex11.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages